import { eAuthenticity, eCheckResult } from '../../../../../../../../../../../../../consts';
import { aAuthenticityCheckResult } from '../../authenticity-check-result.abstract';
import { iOCRSecurityTextResult, OCRSecurityTextResult } from './children';
/**
* Result type of AuthenticityOCRSecurityTextCheckResult
*/
export type tAuthenticityOCRSecurityTextCheckResultType = eAuthenticity.OCR_SECURITY_TEXT;
/**
* Result type of AuthenticityOCRSecurityTextCheckResult
*/
export declare const AuthenticityOCRSecurityTextCheckResultTypes: tAuthenticityOCRSecurityTextCheckResultType[];
/**
* Container for OCRSecurityTextResult
*/
export interface iAuthenticityOCRSecurityTextCheckResult extends aAuthenticityCheckResult {
    /**
    * Type of the performed check
    * @type {tAuthenticityOCRSecurityTextCheckResultType}
    */
    Type: tAuthenticityOCRSecurityTextCheckResultType;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    Result: eCheckResult;
    /**
    * Array of results of checks
    * @type {iOCRSecurityTextResult[]}
    */
    List: iOCRSecurityTextResult[];
    /**
    * Number of List items
    * @type {number}
    */
    Count: number;
}
/**
* Container for OCRSecurityTextResult
*/
export declare class AuthenticityOCRSecurityTextCheckResult extends aAuthenticityCheckResult implements iAuthenticityOCRSecurityTextCheckResult {
    /**
    * Type of the performed check
    * @type {tAuthenticityOCRSecurityTextCheckResultType}
    */
    Type: tAuthenticityOCRSecurityTextCheckResultType;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    Result: eCheckResult;
    /**
    * Array of results of checks
    * @type {OCRSecurityTextResult[]}
    */
    List: OCRSecurityTextResult[];
    /**
    * Number of List items
    * @type {number}
    */
    Count: number;
    /**
    * Create a AuthenticityOCRSecurityTextCheckResult instance from a plain object
    * @param {unknown} plain - plain object
    * @return {AuthenticityOCRSecurityTextCheckResult} - new instance
    */
    static fromPlain: (plain: unknown) => AuthenticityOCRSecurityTextCheckResult;
    /**
    * Check if the given type belongs to AuthenticityOCRSecurityTextCheckResultType
    * @param {unknown} type - type to check
    * @return {type is iAuthenticityOCRSecurityTextCheckResult} - result
    */
    static isBelongs: (type: unknown) => type is iAuthenticityOCRSecurityTextCheckResult;
}
